Bug 15684 - [URL] Replacing backslash with forward slash in URIs doesn't seem to be necessitated by web compat
[URL] Replacing backslash with forward slash in URIs doesn't seem to be neces...
Status: RESOLVED WONTFIX
Product: WHATWG
Classification: Unclassified
Component: URL
unspecified
Other other
: P3 normal
: Unsorted
Assigned To: Anne
sideshowbarker+urlspec
http://www.whatwg.org/specs/web-apps/...
:
Depends on: 12543
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-24 01:09 UTC by Michael[tm] Smith
Modified: 2014-04-11 19:37 UTC (History)
14 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael[tm] Smith 2012-01-24 01:09:01 UTC
+++ This bug was initially created as a clone of Bug #12543 +++

Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/urls.html
Section: http://www.whatwg.org/specs/web-apps/current-work/#resolving-urls

Comment:
Replacing backslash with forward slash in URIs doesn't seem to be necessitated
by web compat

Posted from: 71.184.125.56
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:6.0a1) Gecko/20110422 Firefox/6.0a1
Comment 1 Adam Barth 2012-01-24 01:19:16 UTC
How do we know that?
Comment 2 Michael[tm] Smith 2012-01-24 01:25:17 UTC
(In reply to comment #1)
> How do we know that?

I think Boris already responded to that in bug 12543.

This is just a clone of that bug. I created this bug due to the HTML WG decision policy prohibiting the component of Last Call bugs from being changed.

To be clear though, going forward, I suggest that the discussion should take place here, and have suggested to HIxie that he move bug 12543 to resolved.
Comment 3 Adam Barth 2012-01-24 01:29:16 UTC
Ah, thanks.
Comment 4 Julian Reschke 2012-01-26 08:16:03 UTC
(In reply to comment #2)
> To be clear though, going forward, I suggest that the discussion should take
> place here, and have suggested to HIxie that he move bug 12543 to resolved.

IMHO the wrong thing to do until the HTML spec actually references that document.
Comment 5 Boris Zbarsky 2012-05-04 23:57:35 UTC
One note: Chrome's behavior here causes problems for people trying to use backslash in URIs in at least some use cases.  See http://stackoverflow.com/questions/10438008/different-behaviours-of-treating-backslash-in-the-url-by-firefox-and-chrome/10444621 for example.
Comment 6 Anne 2012-09-28 10:42:20 UTC
As far as I can tell Gecko is the only browser that does not do this. I'd rather convince Gecko to change than everyone else. http://url.spec.whatwg.org/ handles / and \ identically in URLs with hierarchical schemes.
Comment 7 Hallvord R. M. Steen 2014-04-11 19:17:56 UTC
Just for the record: "Gecko doesn't do it" wasn't strictly true, after all. It did - but only on Windows for some odd reason.. 
http://dxr.mozilla.org/mozilla-central/source/docshell/base/nsDefaultURIFixup.cpp#166

Per https://bugzilla.mozilla.org/show_bug.cgi?id=652186 we've now officially surrendered anyway.
Comment 8 Boris Zbarsky 2014-04-11 19:37:28 UTC
> It did - but only on Windows for some odd reason.. 

And only in the case when the backslashes came right after the ':' following the scheme, to be clear.  And only for navigations, not all loads.

And it's Windows-only because it commonly came up only via users typing stuff in the URL bar on Windows.

> we've now officially surrendered anyway.

At least I have.  It's just not worth it to me to spend any more time on this.